Main Page Namespace List Class Hierarchy Alphabetical List Compound List Namespace Members Compound Members Related Pages

# PajaTypes::Matrix3C Class Reference

3x4 matrix class. More...

`#include <Matrix3C.h>`

List of all members.

## Public Methods

- Matrix3C ()
- Matrix3C ( const Matrix3C& rMat )
- Matrix3C ( const float32* pMat )
- virtual ~Matrix3C ()
- Matrix3C operator- () const
- Matrix3C& operator-= ( const Matrix3C& rMat )
- Matrix3C& operator+= ( const Matrix3C& rMat )
- Matrix3C operator- ( const Matrix3C& rMat ) const
- Matrix3C operator+ ( const Matrix3C& rMat ) const
- Matrix3C operator * ( const Matrix3C& rMat ) const
- Matrix3C& operator *= ( const Matrix3C& rMat )
- Vector3C& operator[] ( int32 i )
- const Vector3C& operator[] ( int32 i ) const
- Matrix3C& set_identity ()
- Matrix3C& set_trans ( const Vector3C& v )
- Matrix3C& set_scale ( const Vector3C& v )
- Matrix3C& set_rot_x ( float32 f32Angle )
- Matrix3C& set_rot_y ( float32 f32Angle )
- Matrix3C& set_rot_z ( float32 f32Angle )
- Matrix3C& set_rot_xyz ( float32 f32XAngle, float32 f32YAngle, float32 f32ZAngle )
- Matrix3C& set_rot ( const QuatC& rQuat )
- Matrix3C pre_trans ( const Vector3C& rVec ) const
- Matrix3C inverse () const
- Matrix3C transpose () const
- Matrix3C ortho_norm () const

## Friends

- Vector3C operator * ( const Matrix3C& rMat, const Vector3C& rVec )
- Vector3C operator * ( const Vector3C& rVec, const Matrix3C& rMat )
- Vector3C& operator *= ( Vector3C& rVec, const Matrix3C& rMat )

## Detailed Description

3x4 matrix class.

Matrix3C class defines a 3 by 4 matrix class which is used by the Demopaja system The matrix class implements standard set of methods and overdriven operators for easy use.

This class is implemented by the system.

## Constructor & Destructor Documentation

Matrix3C ( | )

| Default constructor.

Matrix3C ( | const Matrix3C & rMat )

| Copy constructor.

Matrix3C ( | const float32 * pMat )

| Contructor from array of floats. Creates a new vector with the values as the array pointed by the argument. The array should contain 12 values, 3 for each row in the matrix. The rows in the array are arranged linearly.

~Matrix3C ( | )`[virtual]`

| Default destructor.

## Member Function Documentation

Matrix3C inverse ( | ) const

| Inverts the matrix and returns the result.

Matrix3C operator * ( | const Matrix3C & rMat ) const

| Multiplies two matrices and returns the result.

Matrix3C & operator *= ( | const Matrix3C & rMat )

| Multiplies two matrices and stores the result in the matrix.

Matrix3C operator+ ( | const Matrix3C & rMat ) const

| Adds two matrices and returns the result.

Matrix3C & operator+= ( | const Matrix3C & rMat )

| Adds two matrices and stores the result in the matrix.

Matrix3C operator- ( | const Matrix3C & rMat ) const

| Substracts two matrices and returns the result.

Matrix3C operator- ( | ) const

| Negates the matrix and returns the result.

Matrix3C & operator-= ( | const Matrix3C & rMat )

| Subtracts two matrices and stores the result in the matrix.

const Vector3C & operator[] ( | int32 i ) const`[inline]`

| Returns reference to the vector at a row pointed by the index. The index values from 0 to 2 corresponds to the rows in the matrix. There are two versions of this method this version is for retrieving the values.

Vector3C & operator[] ( | int32 i )`[inline]`

| Returns reference to the vector at a row pointed by the index. The index values from 0 to 2 corresponds to the rows in the matrix. There are two versions of this method, this version enables to assign values.

Matrix3C ortho_norm ( | ) const

| Ortho normalizes the matrix and returns the result.

Matrix3C pre_trans ( | const Vector3C & rVec ) const

| Pretranslates the matrix and returns the result.

Matrix3C & set_identity ( | )

| Sets the matrix as identity matrix.

Matrix3C & set_rot ( | const QuatC & rQuat )

| Converts quaternion to matrix and stores the result to the matrix.

Matrix3C & set_rot_x ( | float32 f32Angle )

| Sets the matrix to identity and then rotates the matrix around the X-axis to the value of the argument.

Matrix3C & set_rot_xyz ( | float32 f32XAngle,
| float32 f32YAngle,
| float32 f32ZAngle )

| Sets the matrix to identity and then rotates the matrix to the values of the arguments in order XYZ.

Matrix3C & set_rot_y ( | float32 f32Angle )

| Sets the matrix to identity and then rotates the matrix around the Y-axis to the value of the argument.

Matrix3C & set_rot_z ( | float32 f32Angle )

| Sets the matrix to identity and then rotates the matrix around the Z-axis to the value of the argument.

Matrix3C & set_scale ( | const Vector3C & v )

| Sets the matrix to identity and then scales the matrix to the value of the argument.

Matrix3C & set_trans ( | const Vector3C & v )

| Sets the matrix to identity and then translates the matrix to the value of the argument.

Matrix3C transpose ( | ) const

| Transposes the matrix and returns the result.

## Friends And Related Function Documentation

Vector3C operator * ( | const Vector3C & rVec,
| const Matrix3C & rMat )`[friend]`

| Multiplies the specified vector by the specified matrix and returns the result.

Vector3C operator * ( | const Matrix3C & rMat,
| const Vector3C & rVec )`[friend]`

| Multiplies the specified vector by the specified matrix and returns the result.

Vector3C & operator *= ( | Vector3C & rVec,
| const Matrix3C & rMat )`[friend]`

| Multiplies the specified vector by the specified matrix and stores the result to the vector.

The documentation for this class was generated from the following file:

- Matrix3C.h